Subject: Re: bug#12094: check failure on AIXv7.1 / xlc

From: Jez Wain <[email-masked]>
Date: Wed, 1 Aug 2012 17:34:25 +0200

Peter,

There was indeed a PATH problem, xlC wan't being found.  Once corrected I ran the make check and this produced different errors.  I then ran make clean, reran the ./configure switching off all compiler optimization, and finally make check. Switching off compiler optimization didn't make any difference, make check failed on the same tests.

Attached is testsuite.log (as opposed to yesterday's test-suite.log).  For info, test 75 core dumped.

Jez

On 31 Jul 2012, at 18:23, Peter Rosin wrote:

> Hi Jez,
> 
> Please keep the list in CC:, or you'll be stuck with my help only.
> 
> On 2012-07-31 15:17, Jez Wain wrote:
>> Peter,
>> 
>> Thanks for the prompt reply and well spotted, for the configuration error - I'd 
>> looked at it a couple of times, feeling that something was awry, but staring at 
>> it too intently, I couldn't spot it.
>> 
>> However this is not the cause of the failure.  With a corrected configure command:
>> 
>> LDFLAGS="-L/usr/local/lib" LIBS="-lmass" CXX=xlC CC=xlc_r CFLAGS="-O2 
>> -qtune=auto -qarch=auto -qcache=auto -I/usr/local/include" ./configure
>> 
>> The "make check" still concludes with:
>> 
>> ====================================
>> 4 of 102 tests failed
>> (4 tests were not run)
>> See ./test-suite.log
>> Please report to [email-masked] <mailto:[email-masked]>
>> ====================================
>> make[4]: *** [test-suite.log] Error 1
>> 
>> I've attached the new test-suite.log to this mail, but, to my untrained eye, it 
>> looks similar to the one I sent yesterday.
> 
> Yes, it's similar.  Yesterday you had this failure:
> 
> /bin/sh ./libtool --tag=CXX   --mode=compile CC=xlc_r -DPACKAGE_NAME=\"tagdemo\" -DPACKAGE_TARNAME=\"tagdemo\" -DPACKAGE_VERSION=\"1.0\" -DPACKAGE_STRING=\"tagdemo\ 1.0\" -DPACKAGE_BUGREPORT=\"[email-masked]\" -DPACKAGE_URL=\"\" -DPACKAGE=\"tagdemo\" -DVERSION=\"1.0\" -DLT_OBJDIR=\".libs/\" -I.  -I./../..    -c -o foo.lo foo.cpp
> libtool: compile:  CC=xlc_r -DPACKAGE_NAME=\"tagdemo\" -DPACKAGE_TARNAME=\"tagdemo\" -DPACKAGE_VERSION=\"1.0\" "-DPACKAGE_STRING=\"tagdemo 1.0\"" -DPACKAGE_BUGREPORT=\"[email-masked]\" -DPACKAGE_URL=\"\" -DPACKAGE=\"tagdemo\" -DVERSION=\"1.0\" -DLT_OBJDIR=\".libs/\" -I. -I./../.. -c foo.cpp
> ./libtool[11]: -DPACKAGE_NAME="tagdemo":  not found
> 
> You told libtool that the C++ compiler is "CC=xlc_r", but that looks like
> an assignment, and -DPACKAGE_NAME="tagdemo" is taken as the C++ compiler
> instead.  Things go downhill quickly after that.
> 
> And now you have this failure:
> 
> /bin/sh ./libtool --tag=CXX   --mode=compile xlC -DPACKAGE_NAME=\"tagdemo\" -DPACKAGE_TARNAME=\"tagdemo\" -DPACKAGE_VERSION=\"1.0\" -DPACKAGE_STRING=\"tagdemo\ 1.0\" -DPACKAGE_BUGREPORT=\"[email-masked]\" -DPACKAGE_URL=\"\" -DPACKAGE=\"tagdemo\" -DVERSION=\"1.0\" -DLT_OBJDIR=\".libs/\" -I.  -I./../..    -c -o foo.lo foo.cpp
> libtool: compile:  xlC -DPACKAGE_NAME=\"tagdemo\" -DPACKAGE_TARNAME=\"tagdemo\" -DPACKAGE_VERSION=\"1.0\" "-DPACKAGE_STRING=\"tagdemo 1.0\"" -DPACKAGE_BUGREPORT=\"[email-masked]\" -DPACKAGE_URL=\"\" -DPACKAGE=\"tagdemo\" -DVERSION=\"1.0\" -DLT_OBJDIR=\".libs/\" -I. -I./../.. -c foo.cpp
> ./libtool[11]: xlC:  not found
> 
> Here, you have told libtool that the C++ compiler is "xlC", but libtool
> simply cannot find that program.
> 
> So, the configure command is still not correct as you are pointing to
> things that are not there (or have the wrong permissions).
> 
> Cheers,
> Peter
>